/**
 * @param command list of the command and arguments. First item in array must be a python exe @see KnownPythonExe. (e.g. ["python", "my_python_file.py"]
 * @param requirement
 */
export declare const patchPythonPath: (command: PythonCommandLine, requirement: SystemRequirement) => Promise<string[]>;
type KnownPythonExe = "python.exe" | "python3.exe" | "python" | "python3";
type PythonCommandLine = [KnownPythonExe, ...string[]];
interface SystemRequirement {
    version?: string;
    /**
     * Name of an environment variable where the user could provide the path to the exe.
     * @example "AUTOREST_PYTHON_PATH"
     */
    environmentVariable?: string;
}
export {};
//# sourceMappingURL=system-requirements.d.ts.map